import { defineStore } from 'pinia';

export const useLoginButtonLoadingStore = defineStore({
  id: 'login-button-loading',
  state: () => ({
    loading: false
  }),
  getters: {
    getButtonLoading(state){
      return state.loading
    }
  },
  actions: {
    setLoading(value) {
      this.loading = value
    },
  },
});
